﻿using System;
using System.Data;

namespace WDG.UnboundCheckbox
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                DataBindGrid();
            }
        }

        public DataTable LoadData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("PARTICIPANT_ID");
            dt.Columns.Add("BRANCH_NAME");
            dt.Columns.Add("IS_MANUAL");

            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = dt.Columns["PARTICIPANT_ID"];
            dt.PrimaryKey = PrimaryKeyColumns;

            Random rnd = new Random();
            for (int i = 0; i <= 35; i++)
            {
                dt.Rows.Add(new object[] { i, "Lorem ipsum dolor sit amet.", rnd.Next(1).ToString() });
            }
            return dt;
        }

        public void DataBindGrid()
        {
            Decimal TotalPayments = 0;
            DataTable DT = new DataTable();
            DataTable DT2 = new DataTable();
            bool IsallChecked = true;

            DT = LoadData();
            //grdPay.DataSource = DT;
            //grdPay.DataBind();
            DT2.Columns.Add("All_Checkbox");
            DT2.Columns.Add("PARTICIPANT_ID");
            //DT2.Columns.Add("TRANSACTION_DATE");
            //DT2.Columns.Add("PARTICIPANT_CODE");
            //DT2.Columns.Add("BANK_NAME");
            //DT2.Columns.Add("BANK_CODE");
            //DT2.Columns.Add("BRANCH_NAME");
            // DT2.Columns.Add("NAME");
            //DT2.Columns.Add("AMOUNT");
            //DT2.Columns.Add("STATUS");
            DT2.Columns.Add("Manually_Settle");
            //DT2.Columns.Add("POST");
            //DT2.Columns.Add("COUPON_PAYMENT_DATE");
            //DT2.Columns.Add("BANK_ID");
            //DT2.Columns.Add("BRANCH_ID");

            if (DT != null)
            {
                wdg.Rows.Clear();

                for (int i = 0; i < DT.Rows.Count; i++)
                {
                    //grdPay.Rows.add();
                    var row = DT2.NewRow();
                    row["All_Checkbox"] = true;
                    //row["TRANSACTION_DATE"] = null;
                    row["PARTICIPANT_ID"] = Convert.ToInt32(DT.Rows[i]["PARTICIPANT_ID"]);
                    //row["PARTICIPANT_CODE"] = Convert.ToString(DT.Rows[i]["PARTICIPANT_CODE"]);
                    //row["BANK_NAME"] = Convert.ToString(DT.Rows[i]["BANK_NAME"]);
                    //row["BANK_CODE"] = Convert.ToString(DT.Rows[i]["BANK_CODE"]);
                    //row["BRANCH_NAME"] = Convert.ToString(DT.Rows[i]["BRANCH_NAME"]);
                    //row["STATUS"] = Convert.ToString(DT.Rows[i]["STATUS"]);
                    //TotalPayments += chkDigit * Convert.ToDecimal(DT.Rows[i]["AMOUNT"]);
                    if (!Convert.IsDBNull(DT.Rows[i]["IS_MANUAL"]))
                    {
                        row["Manually_Settle"] = (Convert.ToInt32(DT.Rows[i]["IS_MANUAL"])) == 0 ? false : true;
                    }
                    else
                    {
                        row["Manually_Settle"] = false;
                    }

                    //row["BANK_ID"] = Convert.ToInt32(DT.Rows[i]["BANK_ID"]);
                    //row["BRANCH_ID"] = Convert.ToInt32(DT.Rows[i]["BRANCH_ID"]);
                    DT2.Rows.Add(row);
                    DT2.AcceptChanges();
                }
                //txtDuePayment.Value = TotalPayments;

                wdg.DataSource = DT2;
                wdg.DataBind();
            }
            else
            {
                wdg.DataSource = null;
                wdg.DataBind();
            }

            //if (IsallChecked == true && RadioButtonList1.SelectedValue == "S")
            //    chkAllStatus.Checked = true;
        }
    }
}